Bug 333320 - stack exhaustion when trying to add folders widget
Summary: stack exhaustion when trying to add folders widget
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Widget Explorer (show other bugs)
Version: master
Platform: unspecified Linux
: NOR crash
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-11 13:28 UTC by Harald Sitter
Modified: 2014-04-14 12:07 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Sitter 2014-04-11 13:28:51 UTC
on git as of 3am UTC today I get a stack exhaustion when trying to add the folders widgets to the desktop:

#104624 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104625 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104626 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104627 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104628 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104629 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104630 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104631 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104632 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104633 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104634 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104635 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104636 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104637 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104638 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104639 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104640 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104641 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104642 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104643 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104644 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104645 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104646 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104647 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104648 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104649 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104650 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104651 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104652 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104653 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104654 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104655 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104656 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104657 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104658 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104659 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104660 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104661 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104662 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104663 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104664 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104665 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104666 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104667 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104668 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104669 0xb6b8bdb8 in Plasma::AppletPrivate::mainConfigGroup (this=0xbb19c20)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/private/applet_p.cpp:412
#104670 0xb6b735a2 in Plasma::Applet::config (this=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/applet.cpp:229
#104671 0xb6b80922 in Plasma::Containment::addApplet (this=0xa587ee8, 
    applet=0xbcf6fa8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasma/containment.cpp:364
#104672 0x8d34952e in WidgetExplorer::addApplet (this=0xb9c1740, 
    pluginName=...)
    at /build/buildd/project-neon5-plasma-workspace-0.0+git20140411.0307+neon3~a4622af~14.04/shell/widgetexplorer/widgetexplorer.cpp:366
#104673 0x8d349d27 in WidgetExplorer::qt_static_metacall (_o=0xb9c1740, 
    _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfde06d4)
    at /build/buildd/project-neon5-plasma-workspace-0.0+git20140411.0307+neon3~a4622af~14.04/obj-i686-linux-gnu/shell/widgetexplorer/moc_widgetexplorer.cpp:300
#104674 0x8d34a0b5 in WidgetExplorer::qt_metacall (this=0xb9c1740, 
    _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfde06d4)
    at /build/buildd/project-neon5-plasma-workspace-0.0+git20140411.0307+neon3~a4622af~14.04/obj-i686-linux-gnu/shell/widgetexplorer/moc_widgetexplorer.cpp:404
#104675 0xb527a1c0 in QMetaObject::metacall (object=0xb9c1740, 
    cl=QMetaObject::InvokeMetaMethod, idx=11, argv=0xbfde06d4)
    at kernel/qmetaobject.cpp:308
#104676 0xb6fbe1a4 in CallMethod (object=0xb9c1740, index=11, returnType=43, 
    argCount=1, argTypes=0xba7e36c, engine=0xa6b45e0, callArgs=0xaa347318)
    at jsruntime/qv4qobjectwrapper.cpp:1124
#104677 0xb6fbeca3 in CallPrecise (object=0xb9c1740, data=..., 
    engine=0xa6b45e0, callArgs=0xaa347318)
    at jsruntime/qv4qobjectwrapper.cpp:1376
#104678 0xb6fc0f04 in QV4::QObjectMethod::callInternal (this=0x8bf67aa0, 
    callData=0xaa347318) at jsruntime/qv4qobjectwrapper.cpp:1865
#104679 0xb6fc0a70 in QV4::QObjectMethod::call (m=0x8bf67aa0, 
    callData=0xaa347318) at jsruntime/qv4qobjectwrapper.cpp:1794
#104680 0xb6ec431d in QV4::Object::call (this=0x8bf67aa0, d=0xaa347318)
    at ../../include/QtQml/5.3.0/QtQml/private/../../../../../src/qml/jsruntime/qv4object_p.h:275
#104681 0xb6f3f823 in QV4::Runtime::callProperty (context=0xbfde0ae0, 
    name=..., callData=...) at jsruntime/qv4runtime.cpp:890
#104682 0x8cd78db7 in ?? ()
#104683 0xb6f6f067 in QV4::SimpleScriptFunction::call (that=0x8bf15900, 
    callData=0xaa347008) at jsruntime/qv4functionobject.cpp:528
#104684 0xb6ec431d in QV4::Object::call (this=0x8bf15900, d=0xaa347008)
    at ../../include/QtQml/5.3.0/QtQml/private/../../../../../src/qml/jsruntime/qv4object_p.h:275
#104685 0xb707419f in QQmlJavaScriptExpression::evaluate (this=0xbdcf878, 
    context=0xbc7eda0, function=..., callData=0xaa347008, isUndefined=0x0)
    at qml/qqmljavascriptexpression.cpp:166
#104686 0xb700ea1e in QQmlBoundSignalExpression::evaluate (this=0xbdcf868, 
    a=0xbfde0ec8) at qml/qqmlboundsignal.cpp:289
#104687 0xb700f029 in QQmlBoundSignal_callback (e=0xbdd4f44, a=0xbfde0ec8)
    at qml/qqmlboundsignal.cpp:416
#104688 0xb7054b7b in QQmlNotifier::emitNotify (endpoint=0xbdd4f44, 
    a=0xbfde0ec8) at qml/qqmlnotifier.cpp:81
#104689 0xb6fe5540 in QQmlData::signalEmitted (object=0xbdd3a68, index=45, 
    a=0xbfde0ec8) at qml/qqmlengine.cpp:721
#104690 0xb52ae6bf in QMetaObject::activate (sender=0xbdd3a68, 
    signalOffset=29, local_signal_index=16, argv=0xbfde0ec8)
    at kernel/qobject.cpp:3567
#104691 0xb52ae508 in QMetaObject::activate (sender=0xbdd3a68, 
    m=0xb775bb64 <QQuickMouseArea::staticMetaObject>, local_signal_index=16, 
    argv=0xbfde0ec8) at kernel/qobject.cpp:3546
#104692 0xb75d035e in QQuickMouseArea::doubleClicked (this=0xbdd3a68, 
    _t1=0xbfde0f28) at .moc/moc_qquickmousearea_p.cpp:535
#104693 0xb74f7469 in QQuickMouseArea::mouseDoubleClickEvent (this=0xbdd3a68, 
    event=0xbd1bec0) at items/qquickmousearea.cpp:771
#104694 0xb744f686 in QQuickItem::event (this=0xbdd3a68, ev=0xbd1bec0)
    at items/qquickitem.cpp:7090
#104695 0xb5be1d84 in QApplicationPrivate::notify_helper (this=0xa04ad78, 
    receiver=0xbdd3a68, e=0xbd1bec0) at kernel/qapplication.cpp:3491
#104696 0xb5bdf48e in QApplication::notify (this=0xbfde1c2c, 
    receiver=0xbdd3a68, e=0xbd1bec0) at kernel/qapplication.cpp:2944
#104697 0xb5272005 in QCoreApplication::notifyInternal (this=0xbfde1c2c, 
    receiver=0xbdd3a68, event=0xbd1bec0) at kernel/qcoreapplication.cpp:935
#104698 0xb7469925 in QCoreApplication::sendEvent (receiver=0xbdd3a68, 
    event=0xbd1bec0)
    at /build/buildd/project-neon5-qt5-0.0.git20140405.neon5~56a5eee~14.04.1/qtbase/include/QtCore/../../src/corelib/kernel/qcoreapplication.h:237
#104699 0xb7466151 in QQuickWindow::sendEvent (this=0xa737718, item=0xbdd3a68, 
    e=0xbd1bec0) at items/qquickwindow.cpp:2373
#104700 0xb746258d in QQuickWindowPrivate::deliverMouseEvent (this=0xa737d20, 
    event=0xbfde18a8) at items/qquickwindow.cpp:1458
#104701 0xb7462885 in QQuickWindow::mouseDoubleClickEvent (this=0xa737718, 
    event=0xbfde18a8) at items/qquickwindow.cpp:1530
#104702 0xb56241cb in QWindow::event (this=0xa737718, ev=0xbfde18a8)
    at kernel/qwindow.cpp:1890
#104703 0xb7461e2f in QQuickWindow::event (this=0xa737718, e=0xbfde18a8)
    at items/qquickwindow.cpp:1339
#104704 0xb6b162c4 in PlasmaQuick::Dialog::event (this=0xa737718, 
    event=0xbfde18a8)
    at /build/buildd/project-neon5-plasma-framework-0.0+git20140411.0308+neon3~767336e~14.04/src/plasmaquick/dialog.cpp:741
#104705 0xb5be1d84 in QApplicationPrivate::notify_helper (this=0xa04ad78, 
    receiver=0xa737718, e=0xbfde18a8) at kernel/qapplication.cpp:3491
#104706 0xb5bdf48e in QApplication::notify (this=0xbfde1c2c, 
    receiver=0xa737718, e=0xbfde18a8) at kernel/qapplication.cpp:2944
#104707 0xb5272005 in QCoreApplication::notifyInternal (this=0xbfde1c2c, 
    receiver=0xa737718, event=0xbfde18a8) at kernel/qcoreapplication.cpp:935
#104708 0xb561c529 in QCoreApplication::sendSpontaneousEvent (
    receiver=0xa737718, event=0xbfde18a8)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:240
#104709 0xb56162f0 in QGuiApplicationPrivate::processMouseEvent (e=0xbb16ab8)
    at kernel/qguiapplication.cpp:1740
#104710 0xb56154c9 in QGuiApplicationPrivate::processWindowSystemEvent (
    e=0xbb16ab8) at kernel/qguiapplication.cpp:1502
#104711 0xb5600607 in QWindowSystemInterface::sendWindowSystemEvents (
    flags=...) at kernel/qwindowsysteminterface.cpp:579
#104712 0xb2291e11 in userEventSourceDispatch (source=0xa0664f0)
    at eventdispatchers/qeventdispatcher_glib.cpp:78
#104713 0xb43a41e3 in g_main_context_dispatch ()
   from /lib/i386-linux-gnu/libglib-2.0.so.0
#104714 0xb43a4468 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#104715 0xb43a4528 in g_main_context_iteration ()
   from /lib/i386-linux-gnu/libglib-2.0.so.0
#104716 0xb52df544 in QEventDispatcherGlib::processEvents (this=0xa069ba0, 
    flags=...) at kernel/qeventdispatcher_glib.cpp:426
#104717 0xb2292010 in QPAEventDispatcherGlib::processEvents (this=0xa069ba0, 
    flags=...) at eventdispatchers/qeventdispatcher_glib.cpp:123
#104718 0xb526ee97 in QEventLoop::processEvents (this=0xbfde1b7c, flags=...)
    at kernel/qeventloop.cpp:136
#104719 0xb526f15e in QEventLoop::exec (this=0xbfde1b7c, flags=...)
    at kernel/qeventloop.cpp:212
#104720 0xb52726e5 in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:1188
#104721 0xb5615294 in QGuiApplication::exec ()
    at kernel/qguiapplication.cpp:1436
#104722 0xb5bded19 in QApplication::exec () at kernel/qapplication.cpp:2736
#104723 0x0808a41a in main (argc=1, argv=0xbfde1d04)
    at /build/buildd/project-neon5-plasma-workspace-0.0+git20140411.0307+neon3~a4622af~14.04/shell/main.cpp:91


Reproducible: Always
Comment 1 Marco Martin 2014-04-11 13:33:23 UTC
yesterday night Containment::isContainment() changed a bit, does this still happen?

and, where is that widget?
Comment 2 Harald Sitter 2014-04-11 13:36:50 UTC
the widget should be in plasma-desktop, org.kdeplasma.folder apparently.

as for whether it still happens, I'll have to come back on that tomorrow
Comment 3 Bhushan Shah 2014-04-11 15:49:18 UTC
Have you dropped widget from Plasma 1 widget explorer to Plasma 2? I am still confused..
Comment 4 Marco Martin 2014-04-14 09:06:32 UTC
I can reproduce.
Bhushan: no, it's a kf5 port of folderview that just landed in plasma-desktop
Comment 5 Bhushan Shah 2014-04-14 11:31:46 UTC
notmart: Ah, then I need update.. :) that I can do only after exams.. and since you can reproduce CONFIRMED.
Comment 6 Marco Martin 2014-04-14 12:07:57 UTC
Git commit 18f54dff73ec1009374bf852b8bb6dbbb2385fc5 by Marco Martin.
Committed on 14/04/2014 at 12:03.
Pushed by mart into branch 'master'.

make possible for containments to run as applets

take into account the slightly different behaviour needed when containments such as folderview act as a normal plasmoid

M  +12   -2    src/plasma/applet.cpp
M  +21   -19   src/plasma/containment.cpp
M  +1    -1    src/scriptengines/qml/plasmoid/declarativeappletscript.cpp

http://commits.kde.org/plasma-framework/18f54dff73ec1009374bf852b8bb6dbbb2385fc5